Package com.sun.messaging

# Class BasicTopic

java.lang.Object
com.sun.messaging.AdministeredObject
com.sun.messaging.Destination
com.sun.messaging.BasicTopic

All Implemented Interfaces:
  `jakarta.jms.Destination`, `jakarta.jms.Topic`, `Serializable`

Direct Known Subclasses:
  `Topic`

public class BasicTopic extends Destination implements jakarta.jms.Topic
A `BasicTopic` represents an identity of a repository of messages used in the JMS Publish/Subscribe messaging domain.

See Also:
  - `jakarta.jms.Topic`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sun.messaging.AdministeredObject

  `AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicTopic()`
  Constructs an identity of a Publish/Subscribe Topic with the default name
  `BasicTopic(String name)`
  Constructs an identity of a Publish/Subscribe Topic with the given name

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object anObject)`
  Compares this Topic to the specified object.
  `int`
  `hashCode()`
  `boolean`
  `isQueue()`
  Returns whether this is a Queueing type of Destination object
  `boolean`
  `isTemporary()`
  Returns whether this is a Temporary type of Destination object

  ### Methods inherited from class com.sun.messaging.Destination

  `getName, getQueueName, getTopicName, setDefaultConfiguration, toString, validate_imqDestinationName`

  ### Methods inherited from class com.sun.messaging.AdministeredObject

  `dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperties, setProperty, setReadOnly, setStoredVersion`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface jakarta.jms.Topic

  `getTopicName, toString`

- ## Constructor Details

  - ### BasicTopic

    public BasicTopic()
    Constructs an identity of a Publish/Subscribe Topic with the default name

  - ### BasicTopic

    public BasicTopic(String name) throws jakarta.jms.JMSException
    Constructs an identity of a Publish/Subscribe Topic with the given name
    Parameters:
      `name` - The name of the Topic
    Throws:
      `jakarta.jms.JMSException`

- ## Method Details

  - ### equals

    public boolean equals(Object anObject)
    Compares this Topic to the specified object. The result is `true` if and only if the arguement is not `null` and is a `Topic` object with the same Topic Name as this object.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `anObject` - The object to compare this `Topic` against.
    Returns:
      `true` if the object and this `Topic`are equal; `false` otherwise.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### isQueue

    public boolean isQueue()
    Returns whether this is a Queueing type of Destination object
    Specified by:
      `isQueue` in class `Destination`
    Returns:
      whether this is a Queueing type of Destination object

  - ### isTemporary

    public boolean isTemporary()
    Returns whether this is a Temporary type of Destination object
    Specified by:
      `isTemporary` in class `Destination`
    Returns:
      whether this is a Temporary type of Destination object